## posh 0.3.7

=== {arch}/++pristine-trees/unlocked/posh/posh--dev/posh--dev--1.0/schizo@debian.org--2004-primary/posh--dev--1.0--patch-21/debian/changelog ===
posh (0.3.7) unstable; urgency=low

  * Remove some cruft left around from ksh functions. 

 -- Clint Adams <schizo@debian.org>  Sat, 26 Jun 2004 23:39:24 -0400

posh (0.3.6) unstable; urgency=low

  * Add a better regression test for umask. 
  * Drop support of ksh88 ":[#%]+"-type trimming.
  * Adjust regression tests to make sure ${blah:#blah} gives
    an error.

 -- Clint Adams <schizo@debian.org>  Fri, 11 Jun 2004 14:33:36 -0400

posh (0.3.5) unstable; urgency=low

  * Clean unused variables left after 0.3.4. 
  * Add prebuild target to debian/rules.
  * Drop qsort altogether.

 -- Clint Adams <schizo@debian.org>  Tue,  8 Jun 2004 16:51:50 -0400

posh (0.3.4) unstable; urgency=low

  * Fix most of the signedness comparison warnings.
  * Remove homedir caching code.
  * Switch specials, keywords, aliases, builtins, vars, and funs hashes
    to use libc tsearch() and friends.
  * Remove old table hash routines.

 -- Clint Adams <schizo@debian.org>  Mon,  7 Jun 2004 18:26:25 -0400

posh (0.3.3) unstable; urgency=low

  * Rename custom table functions to prevent conflicts with
    b-tree functions when search.h is included.
  * Remove vestigial tracked alias code.

 -- Clint Adams <schizo@debian.org>  Mon,  7 Jun 2004 16:38:43 -0400

posh (0.3.2) unstable; urgency=low

  * Make getn() use strtol().
  * Mark unused function parameters to avoid gcc warnings.

 -- Clint Adams <schizo@debian.org>  Thu,  3 Jun 2004 21:31:59 -0400

posh (0.3.1) unstable; urgency=low

  * Use libc's instead of internal qsort.
  * Add -W to CFLAGS.

 -- Clint Adams <schizo@debian.org>  Fri, 28 May 2004 18:28:52 -0400

posh (0.3) unstable; urgency=high

  * Fix option-parsing bug with return builtin.  closes: #242247.

 -- Clint Adams <schizo@debian.org>  Mon,  5 Apr 2004 11:59:31 -0400

posh (0.2.39) unstable; urgency=low

  * Convert manpage to DocBook.

 -- Clint Adams <schizo@debian.org>  Sat,  3 Apr 2004 11:42:24 -0500

posh (0.2.38) unstable; urgency=low

  * Drop "function" keyword. 

 -- Clint Adams <schizo@debian.org>  Sun, 11 Jan 2004 23:34:06 -0500

posh (0.2.37) unstable; urgency=low

  * Add Dutch debconf template from "cobaco".  closes: #205166.

 -- Clint Adams <schizo@debian.org>  Fri, 12 Sep 2003 20:31:00 -0400

posh (0.2.36) unstable; urgency=low

  * Apply patch from Carlos Valdivia Yagüe to add proper
    headers to the Spanish debconf template.
  * Use snprintf to generate base10 strings instead of ulton().
  * Remove ulton().

 -- Clint Adams <schizo@debian.org>  Sat,  2 Aug 2003 12:09:07 -0400

posh (0.2.35) unstable; urgency=low

  * Remove regression test for time command, since we no longer have that.

 -- Clint Adams <schizo@debian.org>  Fri,  1 Aug 2003 15:07:17 -0400

posh (0.2.34) unstable; urgency=low

  * Apply patch from Christian Perrier to switch to gettext-based
    debconf templates.  closes: #201786.
  * Bump to Standards-Version: 3.6.0.

 -- Clint Adams <schizo@debian.org>  Fri,  1 Aug 2003 13:42:04 -0400

posh (0.2.33) unstable; urgency=low

  * Only allow alphanumerics and underscores in function names. 
  * Use canonicalize_file_name instead of simplify_path.
  * Remove last vestiges of ksh globbing from the lexer.
  * Use POSIX glob() instead of pdksh globit.

 -- Clint Adams <schizo@debian.org>  Sat, 24 May 2003 23:28:47 -0400

posh (0.2.32) unstable; urgency=medium

  * Move [/test builtins to transitional interface.
  * Remove transitional interface. 

 -- Clint Adams <schizo@debian.org>  Wed, 21 May 2003 21:25:07 -0400

posh (0.2.31) unstable; urgency=low

  * Add compatibility code for get_current_dir_name.
  * Add compatibility code for canonicalize_file_name.
  * Move set builtin to transitional interface.
  * Move unset builtin to transitional interface.
  * Move eval builtin to transitional interface.
  * Move builtin and exec builtins to transitional interface.
  * Move trap builtin to transitional interface.
  * Move exit/return builtins to transitional interface.
  * Move break/continue builtins to transitional interface.
  * Move times builtin to transitional interface.
  * Remove time builtin.
  * Move command builtin to transitional interface.
  * Remove fg/bg builtins.
  * Move getopts builtin to transitional interface.

 -- Clint Adams <schizo@debian.org>  Mon, 19 May 2003 22:31:23 -0400

posh (0.2.30) unstable; urgency=high

  * Use stdarg instead of varargs unconditionally.

 -- Clint Adams <schizo@debian.org>  Mon, 19 May 2003 20:42:33 -0400

posh (0.2.29) unstable; urgency=high

  * Move '.' builtin to transitional interface.
  * Avoid option segfaults in wait and shift builtins.
  * Move kill builtin to transitional interface.
  * Move export/readonly builtins to transitional interface.  Drop typeset.

 -- Clint Adams <schizo@debian.org>  Thu, 15 May 2003 22:43:31 -0400

posh (0.2.28) unstable; urgency=high

  * Don't do tilde expansion after equals signs when there's no assignment
    involved.  closes: #186995. 
  * Add regression test to check for this.

 -- Clint Adams <schizo@debian.org>  Sat,  5 Apr 2003 14:32:55 -0500

posh (0.2.27) unstable; urgency=low

  * Use fnmatch() for globbing. 

 -- Clint Adams <schizo@debian.org>  Fri, 28 Mar 2003 11:24:17 -0500

posh (0.2.26) unstable; urgency=low

  * Move wait and pwd builtins to transitional interface.

 -- Clint Adams <schizo@debian.org>  Thu, 27 Mar 2003 20:01:25 -0500

posh (0.2.25) unstable; urgency=low

  * Remove support for read builtin without argument. 

 -- Clint Adams <schizo@debian.org>  Thu, 27 Mar 2003 03:29:08 -0500

posh (0.2.24) unstable; urgency=low

  * Ditch print builtin.
  * Strip down echo builtin; make it almost POSIX-compliant.

 -- Clint Adams <schizo@debian.org>  Sun, 23 Mar 2003 13:44:42 -0500

posh (0.2.23) unstable; urgency=low

  * Move shift and umask builtins to transitional interface.

 -- Clint Adams <schizo@debian.org>  Sun, 23 Mar 2003 11:53:07 -0500

posh (0.2.22) unstable; urgency=low

  * Add flags field to builtin tables.

