=== {arch}/++pristine-trees/unlocked/posh/posh--dev/posh--dev--1.0/schizo@debian.org--2004-primary/posh--dev--1.0--patch-21/debian/control ===
Source: posh
Section: shells
Priority: optional
Maintainer: Clint Adams <schizo@debian.org>
Build-Depends: debconf-utils, po-debconf
Standards-Version: 3.6.0

Package: posh
Architecture: any
Depends: ${shlibs:Depends}, debconf
Description: Policy-compliant Ordinary SHell
 posh is a stripped-down version of pdksh that aims for compliance
 with Debian's policy, and few extra features.
 .
 WARNING: Since many of Debian's /bin/sh scripts are not actually
 policy-compliant, using posh as your /bin/sh may reveal breakage.
