## posh 0.3.14

=== {arch}/++pristine-trees/unlocked/posh/posh--dev/posh--dev--1.0/schizo@debian.org--2004-primary/posh--dev--1.0--patch-37/debian/changelog ===
posh (0.3.14) unstable; urgency=medium

  * ifdef out shf_smprintf.

 -- Clint Adams <schizo@debian.org>  Fri, 19 Nov 2004 13:11:55 -0500

posh (0.3.13) unstable; urgency=medium

  * Some documentation cleanup and fixes.
  * Get the Latin-1 non-breeakable spaces out of the manpage for
    now.  closes: #280624.
    Hopefully the DocBook XSL stylesheets will be fixed some year.

 -- Clint Adams <schizo@debian.org>  Fri, 12 Nov 2004 14:20:35 -0500

posh (0.3.12) unstable; urgency=medium

  * Add regression test for unset builtin.  closes: #273346.
  * Make "eval false || true" not exit with -e.  closes: #269066.

 -- Clint Adams <schizo@debian.org>  Sat, 25 Sep 2004 22:41:59 -0400

posh (0.3.11) unstable; urgency=medium

  * Fix return value of unset builtin when parameters are not set;
    (according to POSIX, this is not an error condition).

 -- Clint Adams <schizo@debian.org>  Thu, 23 Sep 2004 22:08:57 -0400

posh (0.3.10) unstable; urgency=low

  * Remove extraneous operators from "test" builtin (-a, -G, -H, -k,
    -O, -o, <, >, -ef, -nt, -ot). 

 -- Clint Adams <schizo@debian.org>  Sat, 11 Sep 2004 12:54:28 -0400

posh (0.3.9) unstable; urgency=medium

  * trap builtin now errors when no signals are specified.
    closes: #265103.
  * Move trap-related regression tests to their own file,
    and add one to check for error on "trap 0".

 -- Clint Adams <schizo@debian.org>  Wed, 11 Aug 2004 14:21:42 -0400

posh (0.3.8) unstable; urgency=high

  * Fix tilde expansion thinko introduced in 0.3.4.

 -- Clint Adams <schizo@debian.org>  Wed, 21 Jul 2004 10:41:15 -0400
