## posh 0.3.18

=== debian/changelog ===
posh (0.3.18) unstable; urgency=low

  * Update manpage to DocBook 4.4.  Remove more inaccurate
    information. 
  * Remove extraneous set_array code.
  * Remove some extraneous ksh function handling code.
  * Bump Standards-Version to 3.6.2.
  * Move menu file to /usr/share/menu.

 -- Clint Adams <schizo@debian.org>  Fri, 24 Jun 2005 20:04:03 -0400

posh (0.3.17) unstable; urgency=medium

  * Remove case-ignoring functionality of trap builtin.
    closes: #314511.
  * Add regression test to check for proper rejection of
    lowercase signal names.

 -- Clint Adams <schizo@debian.org>  Thu, 16 Jun 2005 15:36:17 -0400

posh (0.3.16) unstable; urgency=low

  * Czech debconf .po from Miroslav Kure.  closes: #309128.

 -- Clint Adams <schizo@debian.org>  Sat, 14 May 2005 16:55:20 -0400

posh (0.3.15) unstable; urgency=low

  * Get rid of xstrcmp(). 

 -- Clint Adams <schizo@debian.org>  Sun,  1 May 2005 11:13:13 -0400
