## posh 0.4.4

=== debian/changelog ===
posh (0.4.4) unstable; urgency=low

  * Stop treating $(<file) specially.

 -- Clint Adams <schizo@debian.org>  Mon, 12 Dec 2005 14:10:44 -0500

posh (0.4.3.1) unstable; urgency=low

  * Change debconf-2.0 dependency to debconf | debconf-2.0.
    closes: #332073.

 -- Clint Adams <schizo@debian.org>  Thu,  3 Nov 2005 20:10:22 -0500

posh (0.4.3) unstable; urgency=medium

  * Fix XTRACE-scoping bug. 

 -- Clint Adams <schizo@debian.org>  Thu, 22 Sep 2005 17:04:13 -0400

posh (0.4.2) unstable; urgency=medium

  * Fix eval builtin options parsing bug non-portably.
    closes: #325381.
  * Add regression test to check for proper eval builtin options
    parsing behavior.

 -- Clint Adams <schizo@debian.org>  Sun, 28 Aug 2005 10:16:05 -0400

posh (0.4.1) unstable; urgency=low

  * Depend on debconf-2.0 instead of debconf.

 -- Clint Adams <schizo@debian.org>  Wed, 10 Aug 2005 15:09:57 -0400

posh (0.4) unstable; urgency=medium

  * Don't scope XTRACE (set -x) locally within functions.

 -- Clint Adams <schizo@debian.org>  Thu, 28 Jul 2005 11:19:32 -0400
