=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 
 Package: posh
 Architecture: any
-Depends: ${shlibs:Depends}, debconf
+Depends: ${shlibs:Depends}, debconf | debconf-2.0
 Description: Policy-compliant Ordinary SHell
  posh is a stripped-down version of pdksh that aims for compliance
  with Debian's policy, and few extra features.
