## posh 0.5

=== debian/changelog ===
posh (0.5) unstable; urgency=high

  * Don't segfault when trying to cd -L to nonexistent directories.
    closes: #366943.

 -- Clint Adams <schizo@debian.org>  Fri, 12 May 2006 11:37:13 -0400

posh (0.4.7) unstable; urgency=low

  * Strip .comment section from binary. 
  * Properly error out on "test asdf -ge 0".  closes: #273347.

 -- Clint Adams <schizo@debian.org>  Mon,  3 Apr 2006 21:33:56 -0400

posh (0.4.6) unstable; urgency=low

  * Excise SPATTERN stuff from the lexer. 

 -- Clint Adams <schizo@debian.org>  Sat, 11 Mar 2006 19:18:45 -0500

posh (0.4.5) unstable; urgency=low

  * Fix man page to not mention non-existent typeset builtin.
    closes: #347239.
  * Get rid of bad chars in man page.  closes: #324261.
  * debconf .po updates:
    - fix sv, Daniel Nylander <po@danielnylander.se>, closes: #338856.
    - add it, Andrea Bolognani <eof@kiyuko.org>, closes: #343926.

 -- Clint Adams <schizo@debian.org>  Sat, 28 Jan 2006 10:35:13 -0500
