## posh 0.5.4

=== debian/changelog ===
posh (0.5.4) unstable; urgency=medium

  * Make backtick command substitution behave more like historical
    sh, and not as how people keep interpreting POSIX (potentially
    incorrectly).  closes: #400636.

 -- Clint Adams <schizo@debian.org>  Wed, 29 Nov 2006 12:21:54 -0500

posh (0.5.3) unstable; urgency=low

  * Additional tweaking of testsuite for shell portability. 

 -- Clint Adams <schizo@debian.org>  Fri, 17 Nov 2006 22:39:02 -0500

posh (0.5.2) unstable; urgency=medium

  * Bump to Standards-Version 3.7.2.
  * Change sort in generating signal list to POSIX-conformant
    usage.
  * Make testsuite slightly easier to use on other shells.

 -- Clint Adams <schizo@debian.org>  Fri, 17 Nov 2006 21:25:19 -0500

posh (0.5.1) unstable; urgency=medium

  * Temporarily fix version constant.  closes: #397596.
  * Fix man page to refer to POSH_VERSION instead of SH_VERSION.

 -- Clint Adams <schizo@debian.org>  Wed,  8 Nov 2006 18:07:58 -0500
