## posh 0.5.5

=== debian/changelog ===
posh (0.5.5) unstable; urgency=low

  * debconf .po update
    - add pt, Luísa Lourenço <kikentai@gmail.com>, closes: #415222.
  * Miscellaneous minor man page cleanups.

 -- Clint Adams <schizo@debian.org>  Sat, 17 Mar 2007 16:24:15 -0400
