## posh 0.6

=== debian/changelog ===
posh (0.6) unstable; urgency=low

  * Bump to Standards-Version 3.7.3.
    - Support 'local' for scoping of parameters/variables.
    - Support -a and -o binary operators to test/[ builtins.

 -- Clint Adams <schizo@debian.org>  Mon, 03 Dec 2007 09:14:46 -0500

posh (0.5.11) unstable; urgency=low

  * Steal 112_OpenBSD-heredoc-quote.dpatch from pdksh package.

 -- Clint Adams <schizo@debian.org>  Sun, 21 Oct 2007 13:46:21 -0400

posh (0.5.10) unstable; urgency=low

  * Fix typo in arith test suite.

 -- Clint Adams <schizo@debian.org>  Fri, 12 Oct 2007 10:36:16 -0400

posh (0.5.9) unstable; urgency=low

  * Switch menu section to Applications/Shells. 

 -- Clint Adams <schizo@debian.org>  Sun, 30 Sep 2007 06:13:01 -0400

posh (0.5.8) unstable; urgency=low

  * Print an error if the dot builtin is invoked with no argument.
    closes: #415170. 

 -- Clint Adams <schizo@debian.org>  Sun, 30 Sep 2007 05:54:08 -0400

posh (0.5.7) unstable; urgency=low

  * Apply man page typo fixes from A. Costa.  closes: #437894. 

 -- Clint Adams <schizo@debian.org>  Wed, 15 Aug 2007 23:11:52 -0400

posh (0.5.6) unstable; urgency=medium

  * Do not accept signal numbers (except for 0) for kill or trap.
    closes: #436438.

 -- Clint Adams <schizo@debian.org>  Tue, 07 Aug 2007 09:54:58 -0400
