=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Clint Adams <schizo@debian.org>
 Build-Depends: debconf-utils, po-debconf
-Standards-Version: 3.7.2
+Standards-Version: 3.7.3
 
 Package: posh
 Architecture: any
