=== debian/rules ===
--- 
+++ 
@@ -16,9 +16,9 @@
 else
 	CFLAGS += -O2
 endif
-ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
-	INSTALL_PROGRAM += -s
-endif
+#ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
+#	INSTALL_PROGRAM += -s
+#endif
 
 ifeq (,$(DEB_BUILD_ARCH))
 	DEB_BUILD_ARCH=$(shell dpkg-architecture -qDEB_BUILD_ARCH)
@@ -71,6 +71,9 @@
 # Build architecture-dependent files here.
 binary-arch: build install checkroot
 	$(checkdir)
+
+	strip --remove-section=.comment --remove-section=.note debian/posh/bin/posh
+
 	install -d debian/posh/DEBIAN
 	$(INSTALL_DIR) debian/posh/usr/share/doc/posh debian/posh/usr/share/menu
