## posh 0.6.10

=== debian/changelog ===
posh (0.6.10) unstable; urgency=low

  * Revert to globit for performance reasons.  closes: #485607.
  * Also bring back xstrcmp and drop fnmatch for the globit change.
  * Bump to Standards-Version 3.8.0.

 -- Clint Adams <schizo@debian.org>  Sat, 28 Jun 2008 07:52:05 -0400

posh (0.6.9) unstable; urgency=medium

  * Steal mksh eval code to fix bad substitution error error.
    closes: #484936.

 -- Clint Adams <schizo@debian.org>  Sat, 28 Jun 2008 02:19:26 -0400

posh (0.6.8) unstable; urgency=medium

  * Treat "local" builtin as non-special.  closes: #483860.
  * Don't use ENV for regression-52 test.

 -- Clint Adams <schizo@debian.org>  Sat, 31 May 2008 22:29:43 -0400

posh (0.6.7) unstable; urgency=low

  * Don't process ENV environment variable on startup.  closes: #478850.

 -- Clint Adams <schizo@debian.org>  Tue, 06 May 2008 12:11:43 -0400

posh (0.6.6) unstable; urgency=medium

  * Fix breakage with '.' and '..' in cd builtin.  closes: #474480.

 -- Clint Adams <schizo@debian.org>  Sun, 06 Apr 2008 22:11:51 -0400

posh (0.6.5) unstable; urgency=low

  * Adjust table routines to allow block-level memory management.
  * More documentation cleanup.

 -- Clint Adams <schizo@debian.org>  Fri, 28 Mar 2008 14:59:44 -0400

posh (0.6.4) unstable; urgency=medium

  * Fix local builtin to report correct arguments error messages.
  * Avoid double-free with local variables (while introducing a memory
    leak).  closes: #472959.

 -- Clint Adams <schizo@debian.org>  Fri, 28 Mar 2008 11:01:15 -0400

posh (0.6.3) unstable; urgency=low

  * Fix return code from 'local'.
  * Update BUGS section of man page.
  * Additional cosmetic fixes to man page.

 -- Clint Adams <schizo@debian.org>  Sun, 09 Mar 2008 23:16:22 -0400

posh (0.6.2) unstable; urgency=medium

  * Really fix 'local' builtin to handle multiple arguments.
  * Document all builtins in the man page.

 -- Clint Adams <schizo@debian.org>  Sun, 09 Mar 2008 18:32:49 -0400

posh (0.6.1) unstable; urgency=low

  * Add Vcs-Git and Vcs-Browser control fields.
  * Fix 'local' builtin to handle multiple arguments.

 -- Clint Adams <schizo@debian.org>  Sun, 09 Mar 2008 17:29:12 -0400
