=== debian/control ===
--- 
+++ 
@@ -3,7 +3,9 @@
 Priority: optional
 Maintainer: Clint Adams <schizo@debian.org>
 Build-Depends: debconf-utils, po-debconf
-Standards-Version: 3.7.3
+Standards-Version: 3.8.0
+Vcs-Git: git://git.debian.org/git/private/schizo/zsh.git
+Vcs-Browser: http://git.debian.org/?p=private/schizo/zsh.git;a=summary
 
 Package: posh
 Architecture: any
