## posh 0.6.13

=== debian/changelog ===
posh (0.6.13) unstable; urgency=medium

  * Cast first arguments to eval().

 -- Clint Adams <schizo@debian.org>  Thu, 17 Jul 2008 20:16:29 -0400

posh (0.6.12) unstable; urgency=low

  * Silence some warnings.
  * Rely on sysconf() existing.
  * Steal some timer stuff from mksh.
  * Use int32_t instead of INT32.

 -- Clint Adams <schizo@debian.org>  Sun, 06 Jul 2008 04:19:12 -0400

posh (0.6.11) unstable; urgency=low

  * Get rid of useless WAIT_T typedef.
  * Drop support for systems without waitpid() and sigprocmask().

 -- Clint Adams <schizo@debian.org>  Thu, 03 Jul 2008 03:55:21 -0400
