## posh 0.6.17

=== debian/changelog ===
posh (0.6.17) unstable; urgency=high

  * Fix another set -x segfault.  closes: #515278.
  * Update POSH_VERSION variable properly.  closes: #515832.
  * Fix signal-handling segfault.  closes: #515834.

 -- Clint Adams <schizo@debian.org>  Tue, 17 Feb 2009 16:44:15 -0500

posh (0.6.16) unstable; urgency=medium

  * Fix segfault in XTRACE.  closes: #515278.

 -- Clint Adams <schizo@debian.org>  Sun, 15 Feb 2009 11:15:30 -0500

posh (0.6.15) unstable; urgency=low

  * Vcs-* header fixes from Todd Zullinger
  * Treat IFS as a field separator instead of a field terminator.
    closes: #512438.

 -- Clint Adams <schizo@debian.org>  Thu, 22 Jan 2009 23:03:52 -0500

posh (0.6.14) unstable; urgency=low

  * exec.c: Don't keep assignments in the execution of functions, since
    POSIX seems to forbid it.  closes: #485463.

 -- Clint Adams <schizo@debian.org>  Fri, 12 Dec 2008 15:26:36 -0500
