=== debian/control ===
--- 
+++ 
@@ -4,8 +4,8 @@
 Maintainer: Clint Adams <schizo@debian.org>
 Build-Depends: debconf-utils, po-debconf
 Standards-Version: 3.8.0
-Vcs-Git: git://git.debian.org/git/private/schizo/zsh.git
-Vcs-Browser: http://git.debian.org/?p=private/schizo/zsh.git;a=summary
+Vcs-Git: git://git.debian.org/git/private/schizo/posh.git
+Vcs-Browser: http://git.debian.org/?p=private/schizo/posh.git;a=summary
 
 Package: posh
 Architecture: any
