## posh 0.6.18

=== debian/changelog ===
posh (0.6.18) unstable; urgency=medium

  * Adjust stderr-pattern on utilities-8 test.
  * Even if set -e is set, do not exit on negated commands, and add a
    regression test for this.  closes: #514858.
  * Bump to Standards-Version 3.8.1.

 -- Clint Adams <schizo@debian.org>  Fri, 03 Apr 2009 12:23:31 -0400
