## posh 0.8.4

=== debian/changelog ===
posh (0.8.4) unstable; urgency=medium

  * Update regression-56 test with proper exit codes.
  * Fix memory allocation in canonicalize_file_name.  closes: #551511.
  * Replace pdksh area allocation routines with mksh's.

 -- Clint Adams <schizo@debian.org>  Tue, 20 Oct 2009 12:53:35 -0700

posh (0.8.3) unstable; urgency=low

  * Cope with sysconf(_SC_CHILD_MAX) returning -1.
  * Ignore UTF-8 BOMs.

 -- Clint Adams <schizo@debian.org>  Sun, 04 Oct 2009 21:36:34 -0400

posh (0.8.2) unstable; urgency=low

  * Additional tweaks to testsuite.
  * Patch from Thorsten Glaser to fix lazy evaluation of assignments in
    ternary ops.  closes: #445651.

 -- Clint Adams <schizo@debian.org>  Sun, 04 Oct 2009 12:48:00 -0400

posh (0.8.1) unstable; urgency=low

  * Update debian/copyright.
  * Incorporate mksh test suite.
  * Remove tests duplicated by the mksh tests.
  * Change output of export -p and readonly -p to actually conform to
    POSIX (by printing values).
  * Partially tweak the mksh testsuite to work with posh.

 -- Clint Adams <schizo@debian.org>  Fri, 02 Oct 2009 19:12:32 -0400

posh (0.8) unstable; urgency=low

  * Steal exit code test from mksh.
  * Steal mksh fix for non-interactive file-not-found exit status.
    closes: #548747.
  * Error out with 126 when user tries to execute a directory as a non-
    interactive script.  closes: #548688.
  * Remove cd-history test.

 -- Clint Adams <schizo@debian.org>  Wed, 30 Sep 2009 23:56:59 -0400

posh (0.7.2) unstable; urgency=medium

  * Apply patch from Robert Luberda to fix interaction between `set -e`
    and `true; false && true`.  closes: #547238.

 -- Clint Adams <schizo@debian.org>  Thu, 17 Sep 2009 17:28:39 -0400

posh (0.7.1) unstable; urgency=low

  * Steal mksh's way of handling set -e with subshell return values.
    closes: #546332.

 -- Clint Adams <schizo@debian.org>  Sat, 12 Sep 2009 19:28:27 -0400

posh (0.7) unstable; urgency=low

  * Remove some dead code for export/readonly/set.
  * Support multiple variables and assignments as arguments to 'local'.
    closes: #544358.
  * Bump to Standards-Version 3.8.3.

 -- Clint Adams <schizo@debian.org>  Sat, 12 Sep 2009 18:21:29 -0400
