=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Clint Adams <schizo@debian.org>
 Build-Depends: debconf-utils, po-debconf
-Standards-Version: 3.8.1
+Standards-Version: 3.8.3
 Vcs-Git: git://git.debian.org/git/private/schizo/posh.git
 Vcs-Browser: http://git.debian.org/?p=private/schizo/posh.git;a=summary
