## posh 0.8.5

=== debian/changelog ===
posh (0.8.5) unstable; urgency=low

  [ Thorsten Glaser ]
  * Apply bugfix from mksh overhauling the code for substitutions
    such as ${foo:-bar} and "${foo+bar}" for standards compliance
    and pull the test cases that go with it.

  [ Clint Adams ]
  * Bump to Standards-Version 3.8.4.
  * Switch to 3.0 (native) source format.

 -- Clint Adams <schizo@debian.org>  Sun, 28 Feb 2010 11:35:58 -0500
