## posh 0.9

=== debian/changelog ===
posh (0.9) unstable; urgency=low

  * Inherit IFS from environment.  closes: #603438.
  * da.po: Danish translation from Joe Dalton.  closes: #586596.
  * Change debconf text to claim that the default /bin/sh is dash
    instead of bash.  closes: #554217.

 -- Clint Adams <clint@gnu.org>  Sat, 13 Nov 2010 23:28:34 -0500

posh (0.8.6) unstable; urgency=low

  * Bump to Standards-Version 3.9.1.
    - Drop kill builtin.
    - Support trap numbers 1, 2, 3, 6, 9, 13, 14, and 15.

 -- Clint Adams <schizo@debian.org>  Wed, 11 Aug 2010 18:13:07 -0400
