=== debian/control ===
--- 
+++ 
@@ -1,9 +1,9 @@
 Source: posh
 Section: shells
 Priority: optional
-Maintainer: Clint Adams <schizo@debian.org>
+Maintainer: Clint Adams <clint@gnu.org>
 Build-Depends: debconf-utils, po-debconf
-Standards-Version: 3.8.4
+Standards-Version: 3.9.1
 Vcs-Git: git://git.debian.org/git/private/schizo/posh.git
 Vcs-Browser: http://git.debian.org/?p=private/schizo/posh.git;a=summary
