## posh 0.10

=== debian/changelog ===
posh (0.10) unstable; urgency=low

  * Do not treat a bad signal passed to the trap builtin as a
    fatal/syntax error.

 -- Clint Adams <clint@debian.org>  Fri, 11 Feb 2011 11:33:55 -0500

posh (0.9.2) unstable; urgency=low

  * Update Vcs-Git headers.
  * Fix build-time signal list generation.  closes: #612844.

 -- Clint Adams <clint@debian.org>  Thu, 10 Feb 2011 23:57:54 -0500

posh (0.9.1) unstable; urgency=low

  * Align man page SYNOPSIS and actually-supported command-line options
    with one another.  closes: #610762.

 -- Clint Adams <clint@gnu.org>  Mon, 24 Jan 2011 22:56:40 -0500
