=== debian/control ===
--- 
+++ 
@@ -1,11 +1,11 @@
 Source: posh
 Section: shells
 Priority: optional
-Maintainer: Clint Adams <clint@gnu.org>
+Maintainer: Clint Adams <clint@debian.org>
 Build-Depends: debconf-utils, po-debconf
 Standards-Version: 3.9.1
-Vcs-Git: git://git.debian.org/git/private/schizo/posh.git
-Vcs-Browser: http://git.debian.org/?p=private/schizo/posh.git;a=summary
+Vcs-Git: git://git.debian.org/~clint/posh.git
+Vcs-Browser: http://git.debian.org/?p=users/clint/posh.git;a=summary
 
 Package: posh
 Architecture: any
