=== debian/rules ===
--- 
+++ 
@@ -23,6 +23,8 @@
 ifeq (,$(DEB_BUILD_ARCH))
 	DEB_BUILD_ARCH=$(shell dpkg-architecture -qDEB_BUILD_ARCH)
 endif
+
+posh_version := $(shell dpkg-parsechangelog | sed -n '/^Version: \(.*\)$$/ {s//\1/;p}')
 
 configure: stamp-configure
 stamp-configure:
@@ -107,6 +109,8 @@
 .PHONY: build clean binary-indep binary-arch binary install prebuild
 
 prebuild:
+	printf "define(POSH_VERSION, %s)\n" $(posh_version) >acinclude.m4
+
 	autoreconf -fi
 
 checkroot:
