## posh 0.10.1

=== debian/changelog ===
posh (0.10.1) unstable; urgency=low

  * Use dpkg-buildflags.
  * Add build-arch and build-indep targets.
  * Bump to Standards-Version 3.9.2.

 -- Clint Adams <clint@debian.org>  Fri, 30 Dec 2011 12:50:50 -0500
