=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Clint Adams <clint@debian.org>
 Build-Depends: debconf-utils, po-debconf
-Standards-Version: 3.9.1
+Standards-Version: 3.9.2
 Vcs-Git: git://git.debian.org/~clint/posh.git
 Vcs-Browser: http://git.debian.org/?p=users/clint/posh.git;a=summary
