=== debian/rules ===
--- 
+++ 
@@ -4,21 +4,15 @@
 	test -f debian/rules
 endef
 
-CFLAGS = -Wall -W -g
 INSTALL = install
 INSTALL_FILE    = $(INSTALL) -p    -o root -g root  -m  644
 INSTALL_PROGRAM = $(INSTALL) -p    -o root -g root  -m  755
 INSTALL_SCRIPT  = $(INSTALL) -p    -o root -g root  -m  755
 INSTALL_DIR     = $(INSTALL) -p -d -o root -g root  -m  755
-          
-ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
-	CFLAGS += -O0
-else
-	CFLAGS += -O2
-endif
-#ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
-#	INSTALL_PROGRAM += -s
-#endif
+
+CFLAGS := $(shell dpkg-buildflags --get CFLAGS)
+CPPFLAGS := $(shell dpkg-buildflags --get CPPFLAGS)
+LDFLAGS := $(shell dpkg-buildflags --get LDFLAGS)
 
 ifeq (,$(DEB_BUILD_ARCH))
 	DEB_BUILD_ARCH=$(shell dpkg-architecture -qDEB_BUILD_ARCH)
@@ -31,19 +25,25 @@
 	$(checkdir)
 
 	touch configure aclocal.m4 stamp-h.in Makefile.in config.h.in
-	CFLAGS="$(CFLAGS)" ./configure --prefix=/usr \
-		--bindir=/bin --mandir=/usr/share/man
+	./configure --prefix=/usr \
+		--bindir=/bin --mandir=/usr/share/man \
+                CFLAGS="$(CFLAGS)" \
+                CPPFLAGS="$(CPPFLAGS)" \
+                LDFLAGS="$(LDFLAGS)" \
 
 	touch stamp-configure
 
-build: build-stamp
-build-stamp: stamp-configure
+build: build-arch build-indep
+build-indep:
+
+build-arch: build-arch-stamp
+build-arch-stamp: stamp-configure
 	$(checkdir)
 
 	$(MAKE)
 	LANG=C $(MAKE) check
 
-	touch build-stamp
+	touch build-arch-stamp
 
 clean: checkroot
 	$(checkdir)
@@ -106,7 +106,7 @@
 	dpkg --build debian/posh ..
 
 binary: binary-indep binary-arch
-.PHONY: build clean binary-indep binary-arch binary install prebuild
+.PHONY: build clean binary-indep binary-arch binary install prebuild build build-indep
 
 prebuild:
 	printf "define(POSH_VERSION, %s)\n" $(posh_version) >acinclude.m4
