## posh 0.10.2

=== debian/changelog ===
posh (0.10.2) unstable; urgency=low

  * Fix "nostrip" build.  closes: #674703.
  * Fix Italian Language-Team email address.  closes: #660020.
  * Don't segfault when bi_errorf(NULL) is called.  closes: #674701.
  * Bump to Standards-Version 3.9.3.

 -- Clint Adams <clint@debian.org>  Sat, 02 Jun 2012 15:04:38 -0400
