## posh 0.11ubuntu1

=== debian/changelog ===
posh (0.11ubuntu1) raring; urgency=low

  * Explicitly include sys/resource.h, to build with eglibc 2.16.
    (Closes: #692537)

 -- Stefano Rivera <stefanor@ubuntu.com>  Wed, 07 Nov 2012 11:48:09 +0200

posh (0.11) unstable; urgency=low

  * Disable ~+ and ~- expansion.  closes: #692003.
  * Tweak expand-1 test to ensure that ~+ and ~- aren't expanded.
  * Bump to Standards-Version 3.9.4.

 -- Clint Adams <clint@debian.org>  Thu, 01 Nov 2012 10:39:09 -0400
