=== debian/control ===
--- 
+++ 
@@ -1,9 +1,10 @@
 Source: posh
 Section: shells
 Priority: optional
-Maintainer: Clint Adams <clint@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Clint Adams <clint@debian.org>
 Build-Depends: debconf-utils, po-debconf
-Standards-Version: 3.9.3
+Standards-Version: 3.9.4
 Vcs-Git: git://git.debian.org/~clint/posh.git
 Vcs-Browser: http://git.debian.org/?p=users/clint/posh.git;a=summary
