=== debian/rules ===
--- 
+++ 
@@ -29,7 +29,7 @@
 		--bindir=/bin --mandir=/usr/share/man \
                 CFLAGS="$(CFLAGS)" \
                 CPPFLAGS="$(CPPFLAGS)" \
-                LDFLAGS="$(LDFLAGS)" \
+                LDFLAGS="$(LDFLAGS)"
 
 	touch stamp-configure
 
@@ -74,7 +74,9 @@
 binary-arch: build install checkroot
 	$(checkdir)
 
+ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
 	strip --remove-section=.comment --remove-section=.note debian/posh/bin/posh
+endif
 
 	install -d debian/posh/DEBIAN
 	$(INSTALL_DIR) debian/posh/usr/share/doc/posh debian/posh/usr/share/menu
