## posh 0.11.1

=== debian/changelog ===
posh (0.11.1) unstable; urgency=low

  * Patch from Stefano Rivera to build with eglibc 2.16.  closes: #692537.
  * Don't segfault when errorf(NULL) is called.  closes: #703346, #690927.
  * Fix Vcs-Git header.

 -- Clint Adams <clint@debian.org>  Mon, 18 Mar 2013 19:22:41 -0400
