=== debian/control ===
--- 
+++ 
@@ -1,11 +1,10 @@
 Source: posh
 Section: shells
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Clint Adams <clint@debian.org>
+Maintainer: Clint Adams <clint@debian.org>
 Build-Depends: debconf-utils, po-debconf
 Standards-Version: 3.9.4
-Vcs-Git: git://git.debian.org/~clint/posh.git
+Vcs-Git: git://anonscm.debian.org/users/clint/posh.git
 Vcs-Browser: http://git.debian.org/?p=users/clint/posh.git;a=summary
 
 Package: posh
