## posh 0.12.3

=== debian/changelog ===
posh (0.12.3) unstable; urgency=medium

  * Ten patches from Jonathan Nieder to adjust test suite.  closes: #603659.

 -- Clint Adams <clint@debian.org>  Sun, 09 Feb 2014 19:42:00 -0500

posh (0.12.2.1) unstable; urgency=medium

  * Bump to Standards-Version 3.9.5.
  * Add libperl4-corelibs-perl build-dep for getopts.pl.
    closes: #738412.

 -- Clint Adams <clint@debian.org>  Sun, 09 Feb 2014 12:49:30 -0500

posh (0.12.2) unstable; urgency=low

  * Add posh-dbg package.  closes: #703343.
  * Disallow simple commands as function bodies.  closes: #552730.

 -- Clint Adams <clint@debian.org>  Sun, 28 Jul 2013 09:34:06 -0400

posh (0.12.1) unstable; urgency=low

  * Add missing compat header include, thanks to Makoto Fujiwara.
    closes: #712009.

 -- Clint Adams <clint@debian.org>  Tue, 11 Jun 2013 23:32:03 -0400

posh (0.12) unstable; urgency=high

  * Fix shell flag handling, broken since 0.9.1.  closes: #707778.

 -- Clint Adams <clint@debian.org>  Sun, 12 May 2013 13:26:01 -0500
