=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: shells
 Priority: optional
 Maintainer: Clint Adams <clint@debian.org>
-Build-Depends: debconf-utils, po-debconf
-Standards-Version: 3.9.4
+Build-Depends: libperl4-corelibs-perl, debconf-utils, po-debconf
+Standards-Version: 3.9.5
 Vcs-Git: git://anonscm.debian.org/users/clint/posh.git
 Vcs-Browser: http://git.debian.org/?p=users/clint/posh.git;a=summary
 
@@ -16,3 +16,14 @@
  .
  WARNING: Since many of Debian's /bin/sh scripts are not actually
  policy-compliant, using posh as your /bin/sh may reveal breakage.
+
+Package: posh-dbg
+Architecture: any
+Section: debug
+Priority: extra
+Depends: posh (=${binary:Version})
+Description: Policy-compliant Ordinary SHell - debugging symbols
+ posh is a stripped-down version of pdksh that aims for compliance
+ with Debian's policy, and few extra features.
+ .
+ This package contains gdb debugging symbols for the 'posh' package.
