=== debian/rules ===
--- 
+++ 
@@ -14,9 +14,25 @@
 CPPFLAGS := $(shell dpkg-buildflags --get CPPFLAGS)
 LDFLAGS := $(shell dpkg-buildflags --get LDFLAGS)
 
-ifeq (,$(DEB_BUILD_ARCH))
-	DEB_BUILD_ARCH=$(shell dpkg-architecture -qDEB_BUILD_ARCH)
+DEB_BUILD_GNU_TYPE = $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
+DEB_HOST_GNU_TYPE = $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
+DEB_BUILD_ARCH = $(shell dpkg-architecture -qDEB_BUILD_ARCH)
+
+ifneq ($(DEB_BUILD_GNU_TYPE),$(DEB_HOST_GNU_TYPE))
+	CONFARGS = --host=$(DEB_HOST_GNU_TYPE)
+	STRIP := $(DEB_HOST_GNU_TYPE)-strip
+	OBJCOPY := $(DEB_HOST_GNU_TYPE)-objcopy
+else
+	STRIP := strip
+	OBJCOPY := objcopy
 endif
+
+CONFARGS += --prefix=/usr \
+	     --bindir=/bin \
+	     --mandir=/usr/share/man \
+	     CFLAGS="$(CFLAGS)" \
+	     CPPFLAGS="$(CPPFLAGS)" \
+	     LDFLAGS="$(LDFLAGS)"
 
 posh_version := $(shell dpkg-parsechangelog | sed -n '/^Version: \(.*\)$$/ {s//\1/;p}')
 
@@ -25,11 +41,7 @@
 	$(checkdir)
 
 	touch configure aclocal.m4 stamp-h.in Makefile.in config.h.in
-	./configure --prefix=/usr \
-		--bindir=/bin --mandir=/usr/share/man \
-                CFLAGS="$(CFLAGS)" \
-                CPPFLAGS="$(CPPFLAGS)" \
-                LDFLAGS="$(LDFLAGS)"
+	./configure $(CONFARGS)
 
 	touch stamp-configure
 
@@ -56,7 +68,7 @@
 	  $(MAKE) distclean; \
 	fi
 
-	rm -rf debian/posh debian/posh.substvars
+	rm -rf debian/posh debian/posh.substvars debian/posh-dbg
 	find . -type f -a \( -name \#\*\# -o -name .\*\~ -o -name \*\~ -o -name DEADJOE -o -name \*.orig -o -name \*.rej -o -name \*.bak -o -name .\*.orig -o -name .\*.rej -o -name .SUMS -o -name TAGS -o -name core -o \( -path \*/.deps/\* -a -name \*.P \) \) -exec rm -f {} \;
 
 install: build checkroot
@@ -74,18 +86,22 @@
 binary-arch: build install checkroot
 	$(checkdir)
 
+	$(INSTALL_DIR) debian/posh/DEBIAN \
+		debian/posh/usr/share/doc/posh \
+		debian/posh/usr/share/menu \
+		debian/posh-dbg/usr/lib/debug/bin \
+		debian/posh-dbg/usr/share/doc \
+		debian/posh-dbg/DEBIAN
+
+	$(OBJCOPY) --only-keep-debug debian/posh/bin/posh \
+		debian/posh-dbg/usr/lib/debug/bin/posh.dbg
 ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
-	strip --remove-section=.comment --remove-section=.note debian/posh/bin/posh
+	$(STRIP) --remove-section=.comment --remove-section=.note debian/posh/bin/posh
 endif
-
-	install -d debian/posh/DEBIAN
-	$(INSTALL_DIR) debian/posh/usr/share/doc/posh debian/posh/usr/share/menu
+	$(OBJCOPY) --add-gnu-debuglink=debian/posh-dbg/usr/lib/debug/bin/posh.dbg debian/posh/bin/posh
 
 	$(INSTALL_SCRIPT) debian/posh.config debian/posh/DEBIAN/config
-	# Changed for po-debconf switch - see po-debconf(7)
-	#debconf-mergetemplate  debian/posh.templates.de debian/posh.templates.es debian/posh.templates.fr debian/posh.templates.ja debian/posh.templates.ru debian/posh.templates.sv debian/posh.templates.pt_BR debian/posh.templates > debian/posh/DEBIAN/templates
 	po2debconf debian/posh.templates >debian/posh/DEBIAN/templates
-	# End of po-debconf switch changes
 
 	$(INSTALL_FILE) debian/menu debian/posh/usr/share/menu/posh
 	$(INSTALL_FILE) debian/changelog debian/posh/usr/share/doc/posh/changelog
@@ -98,14 +114,24 @@
 	$(INSTALL_SCRIPT) debian/posh.prerm debian/posh/DEBIAN/prerm
 	$(INSTALL_SCRIPT) debian/posh.postrm debian/posh/DEBIAN/postrm
 
+	ln -s posh debian/posh-dbg/usr/share/doc/posh-dbg
+
 	dpkg-shlibdeps -Tdebian/posh.substvars -dDepends debian/posh/bin/posh
 	dpkg-gencontrol -ldebian/changelog -isp -pposh -Tdebian/posh.substvars -Pdebian/posh
-	cd debian/posh && find * -type f  ! -regex '^DEBIAN/.*' -print0 | xargs -r0 md5sum > DEBIAN/md5sums
+	cd debian/posh && find * -type f ! -regex '^DEBIAN/.*' -print0 | xargs -r0 md5sum > DEBIAN/md5sums
 
 	chown -R root:root debian/posh
 	chmod -R g-w,a+rX debian/posh
 
 	dpkg --build debian/posh ..
+
+	dpkg-gencontrol -ldebian/changelog -isp -pposh-dbg -Pdebian/posh-dbg
+	cd debian/posh-dbg && find * -type f ! -regex '^DEBIAN/.*' -print0 | xargs -r0 md5sum > DEBIAN/md5sums
+
+	chown -R root:root debian/posh-dbg
+	chmod -R g-w,a+rX debian/posh-dbg
+
+	dpkg --build debian/posh-dbg ..
 
 binary: binary-indep binary-arch
 .PHONY: build clean binary-indep binary-arch binary install prebuild build build-indep
